package com.zjrs.ggfw.rlzysc.entity;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.zjrs.ggfw.rlzysc.dto.JlxxGzjyUDTO;
import com.zjrs.ggfw.rlzysc.dto.JlxxWDTO;
import com.zjrs.ggfw.rlzysc.dto.JlxxWhDTO;
import com.zjrs.ggfw.rlzysc.dto.grzxjlxx.ZjDTO;
import com.zjrs.ggfw.rlzysc.po.RsRlzyGzjyPO;

import java.util.List;

@Mapper
public interface GzjyMapper extends BaseMapper<RsRlzyGzjyPO> {
    List<JlxxGzjyUDTO> getgzjyList(@Param("dto") JlxxWhDTO dto);
    List<RsRlzyGzjyPO> getgzjypoList(@Param("dto") ZjDTO dto);
    public void insertGzjy(@Param("list") List<RsRlzyGzjyPO> list);

    List<RsRlzyGzjyPO> getGzjyNrById(@Param("jlxxlsh") String id,@Param("yhlsh")String userId);

    Page<RsRlzyGzjyPO> getgzjyWhList(Page<RsRlzyGzjyPO> page1, @Param("yhlsh")String jlssr, @Param("dto") JlxxWDTO dto);
}

